Bug 147517 - CAN-2004-0888 xpdf integer overflows
CAN-2004-0888 xpdf integer overflows
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdegraphics (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
David Lawrence
impact=important,public=20041020
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 13:31 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 05:18:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-08 13:31:26 EST
*** This bug has been split off bug 135393 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2004.10.12
10:20 -------

During a source code audit, Chris Evans and others discovered a number
of integer overflow bugs that affected all versions of xpdf.  An
attacker could construct a carefully crafted PDF file that could cause
xpdf to crash or possibly execute arbitrary code when opened.  

        CAN-2004-0888 Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        CAN-2004-0888 Affects: 3AS 3ES 3WS 3Desktop

This issue is embargoed until Oct20 1400UTC
Comment 1 Josh Bressers 2005-02-08 13:33:51 EST
This patch was never included in kpdf.  See bug 135393 for the fix.
Comment 2 Ngo Than 2005-02-09 04:41:46 EST
it's fixed in kdegraphics-3.3.1-3.3.
Comment 3 Mark J. Cox (Product Security) 2005-02-15 05:18:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-066.html

Note You need to log in before you can comment on or make changes to this bug.